diff tests/test-clone-failure @ 550:96ff7dae94f7

[PATCH] Tests for clone command -----BEGIN PGP SIGNED MESSAGE----- Hash: SHA1 [PATCH] Tests for clone command From: Bryan O'Sullivan <bos@serpentine.com> This patch adds two new tests. One tests clone's correct operation, the other that clone fails when it should. This patch depends on oserror.patch. manifest hash: a0c9c4932baf29e7b33b2bd2003ddd2254ce65d3 -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.0 (GNU/Linux) iD8DBQFCxPX9ywK+sNU5EO8RAmSNAJ9esixtATdkszwLltu65dzpKf6P4gCcCqGT +Z7CTbXRTFcJvmXFlvEo0xE= =6fqz -----END PGP SIGNATURE-----
author mpm@selenic.com
date Thu, 30 Jun 2005 23:51:25 -0800
parents
children ec85f9e6f3b1 8f5637f0a0c0 0902ffece4b4
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-clone-failure	Thu Jun 30 23:51:25 2005 -0800
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+set -x
+
+# No local source
+hg clone a b
+echo $?
+
+# No remote source
+hg clone http://127.0.0.1:3121/a b
+echo $?
+rm -rf b # work around bug with http clone
+
+# Inaccessible source
+mkdir a
+chmod 000 a
+hg clone a b
+echo $?
+
+# Inaccessible destination
+mkdir b
+cd b
+hg init
+hg clone . ../a
+echo $?
+cd ..
+chmod 700 a
+rm -rf a b
+
+# Source of wrong type
+mkfifo a
+hg clone a b
+echo $?
+rm a
+
+# Default destination, same directory
+mkdir q
+cd q
+hg init
+cd ..
+hg clone q
+
+true